Bug 1013218 - flow-tools uses GID reserved for ppp
flow-tools uses GID reserved for ppp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: flow-tools (Show other bugs)
20
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 08:14 EDT by Göran Uddeborg
Modified: 2013-12-21 09:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 09:34:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2013-09-28 08:14:01 EDT
Description of problem:
When installing the flow-tools package, I got error messages about the group "40" already existing.  As a consequence, the creation of the user id "flow-tools" also failed, and /var/flow-tools wound up being owned by root:root.

According to https://git.fedorahosted.org/cgit/setup.git/tree/uidgid the GID 40 is reserved for the group "dip", used by the package "ppp".  (And that was the group I had in my /etc/group.)

Version-Release number of selected component (if applicable):
flow-tools-0.68.5.1-10.fc19.x86_64

Steps to Reproduce:
I haven't tested from a clean install, but these two commands ought to trigger the error again:
1. yum install ppp
2. yum install flow-tools
Comment 1 Fedora Update System 2013-09-28 17:14:06 EDT
flow-tools-0.68.5.1-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/flow-tools-0.68.5.1-11.fc19
Comment 2 Fedora Update System 2013-09-28 17:14:14 EDT
flow-tools-0.68.5.1-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flow-tools-0.68.5.1-11.fc20
Comment 3 Fedora Update System 2013-09-28 17:14:22 EDT
flow-tools-0.68.5.1-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/flow-tools-0.68.5.1-11.fc18
Comment 4 Fedora Update System 2013-10-25 20:57:08 EDT
flow-tools-0.68.5.1-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-25 20:59:51 EDT
flow-tools-0.68.5.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-10 01:41:48 EST
flow-tools-0.68.5.1-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.